-- 基础信息
base_info = {
	group_id = 247008016
}

-- DEFS_MISCS
local GroupId = 247008016
local point_id_list = {}
local MainGroupID = 247008001
local RegionID = 16001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 16001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 80.087, y = 0.090, z = 319.858 } }
}

-- 触发器
triggers = {
	{ config_id = 1016001, name = "ENTER_REGION_16001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 16002, pos = { x = 76.153, y = 0.147, z = 327.526 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16003, pos = { x = 84.237, y = 0.145, z = 327.472 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16004, pos = { x = 80.132, y = 0.141, z = 328.417 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16005, pos = { x = 72.976, y = 0.161, z = 326.311 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 16006, pos = { x = 87.196, y = 0.155, z = 325.870 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 16007, pos = { x = 71.756, y = 0.145, z = 323.589 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 16008, pos = { x = 88.864, y = 0.150, z = 323.604 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 16009, pos = { x = 71.505, y = 0.140, z = 319.883 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 16010, pos = { x = 88.965, y = 0.148, z = 319.899 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 16011, pos = { x = 80.167, y = 0.155, z = 327.956 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 16012, pos = { x = 74.381, y = 0.166, z = 327.024 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 16013, pos = { x = 85.858, y = 0.140, z = 326.989 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 16014, pos = { x = 71.438, y = 0.148, z = 322.345 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 16015, pos = { x = 88.988, y = 0.146, z = 322.350 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 16016, pos = { x = 71.452, y = 0.142, z = 317.460 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 16017, pos = { x = 88.894, y = 0.141, z = 317.515 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 16018, pos = { x = 74.430, y = 0.140, z = 312.792 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 16019, pos = { x = 85.787, y = 0.140, z = 312.708 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 16020, pos = { x = 80.068, y = 0.140, z = 311.913 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 16021, pos = { x = 72.952, y = 0.182, z = 327.040 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 16022, pos = { x = 87.232, y = 0.157, z = 327.043 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 16023, pos = { x = 72.955, y = 0.140, z = 312.689 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 16024, pos = { x = 87.156, y = 0.140, z = 312.767 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 16025, pos = { x = 80.257, y = 0.157, z = 327.289 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 16026, pos = { x = 80.060, y = 0.140, z = 312.531 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 16027, pos = { x = 71.978, y = 0.141, z = 319.862 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 16028, pos = { x = 88.354, y = 0.143, z = 319.827 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 16029, pos = { x = 72.083, y = 0.142, z = 315.798 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 16030, pos = { x = 88.051, y = 0.149, z = 323.237 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 16031, pos = { x = 83.490, y = 0.140, z = 312.214 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 16032, pos = { x = 76.238, y = 0.166, z = 327.136 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 16033, pos = { x = 84.818, y = 0.093, z = 324.935 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 16001 },
		triggers = { "ENTER_REGION_16001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
